Subject: RE: 3rd party registration (was RE: [Sip] SIP MIB ietf-sip-mib comments)

From: "Jean-Francois Mule" <[email-masked]>
Date: Fri, 5 May 2006 10:40:42 -0600

All,

   Ok, so I'm not sure what this thread concluded as far as the original
comment on the current mib text for allowing/disallowing 3rd-party
registration.

   My preference and proposal for the mib module would be to:
a) keep it simple: one on/off control object for allowing 3rd-party reg
(no refinements based on the two types of 3rd-party reg)
b) make the mib text for what 3rd-party reg is more general to include
both known types of 3rd-party registration: To != From, and, To !=
source of the REGISTER message is coming from

Does this sound reasonable to close the comment?

Jean-Francois

> -----Original Message-----
> From: Michael Procter [mailto:[email-masked]]
> Sent: Thursday, April 06, 2006 2:58 AM
> To: Cullen Jennings; Jean-Francois Mule; Kevin Lingle (klingle);
> [email-masked]
> Cc: Romascanu, Dan (Dan); Juergen Schoenwaelder
> Subject: RE: 3rd party registration (was RE: [Sip] SIP MIB ietf-sip-
> mib comments)
> 
> Cullen Jennings wrote:
> > This is way off track of anything to do with the MIB but ...
> 
> Indeed.  I'd like to try to bring it back to the topic, by referring
> to the original question that was posed.  At least we all have more
> background to it now!
> 
> > > Cullen Jennings wrote:
> > >> sipRegAlloowThirdParty - there are two definitions in common
> > >> usage for 3rd party reg. This is one of them.
> 
> Looking again at the definition in the MIB draft, I am confused:
> 
>        DESCRIPTION
>             "This object reflects whether or not the Registrar
>             SHOULD allow third party registrations. In third-party
>             registration, the entity issuing the request (in the
>             From header) is different from the entity being
>             registered (in the To header) to whom the provided
>             Contact information applies.
> 
> I first read this as describing the From != To case, but looking
> again, I can see how it might be read as the Contact != source case.
> The phrase that I find confusing is 'entity being registered (in
> the To header) to whom the provided Contact information applies'.
> 
> This phrase always applies, since the main function of a REGISTER
> message is to provide a Contact that applies to the AoR in the To
> header.
> 
> Is this clause supposed to identify the 'Contact does not correspond
> to the source of the REGISTER message' case?
> 
> > >> However, I don't know of any
> > >> deployment situations that allow this type of 3rd party reg.
> 
> I know of deployments of 3rd party registrations (of the To != From
> type).  I am no longer sure whether this is the same type as
> defined in the MIB draft or not!
> 
> Whether either or both approaches need MIB support is for more
> MIB-minded people than me to contemplate.  I was just trying to
> clarify whether or not certain types of deployment exist.
> 
> Regards,
> 
> Michael Procter

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Cullen Jennings <[email-masked]>
Date: Sun, 7 May 2006 10:48:37 -0700

How about update the description to be 100% clear what type it is. I  
really think we only need to deal with the type defined in RFC 3261 -  
future things could do more. I think the current description is the  
type defined in 3261. The text below might works as an update but  
perhaps someone has better text.

Old
>>             Contact information applies.

New
>>             SHOULD allow third party registrations as defined in  
>> Section 10.2 of RFC 3261.
                                                                         
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

>>             In third-party

PS - From an AD point of view, I am OK with no change on this. I  
think it is relatively clear that it is the To From type and this is  
the only type defined in 3261 so I think it will be ok.